package com.kmall.api.dao;

import com.kmall.api.entity.CartVo;
import org.apache.ibatis.annotations.Param;
import com.kmall.common.dao.BaseDao;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @author Scott
 * @email
 * @date 2017-08-11 09:14:25
 */
@Component
public interface ApiCartMapper extends BaseDao<CartVo> {
    void updateCheck(@Param("productIds") String[] productIds,
                     @Param("isChecked") Integer isChecked, @Param("user_id") Long userId, @Param("store_id") Long store_id);

    void deleteByProductIds(@Param("productIds") String[] productIds, @Param("store_id") Long store_id);

    void deleteByCart(@Param("user_id") Long user_id, @Param("store_id") Long store_id, @Param("checked") Integer checked,@Param("checkCart")String checkCart);

    List<CartVo> queryCartByGoodsBizType(@Param("goodsBizType") String goodsBizType);

    List<CartVo> queryValidCartList(Map<String, Object> map);

    CartVo queryObjectByGoodsIdAndUserId(@Param("goods_id")Long goods_id,@Param("user_id")Long user_id);
}
